<div id="reportByDomain">
  <div class="rounded-xl border border-gray-border-common my-6 p-6 bg-white">
    <div
      class="d-flex justify-between items-center flex-wrap md:flex-nowrap lg:flex-nowrap gap-6"
    >
      <div id="hideBottomInput" class="d-flex flex-wrap gap-4 w-full">
        <v-text-field
          prepend-inner-icon="mdi-magnify"
          v-model="config.search"
          outlined
          dense
          height="40"
          style="max-width: 225px; width: 100%"
          class="mr-2 py-1 !rounded-lg"
          v-debounce:1000ms="onGetListStatsDomain"
          placeholder="Search by domain"
        >
        </v-text-field>

        <div id="hideBottomInput" class="mr-4 d-flex align-center">
          <!-- New -->
          <v-menu
            v-model="dateEndPicker"
            :nudge-left="80"
            nudge-bottom="10px"
            style="position: relative; z-index: 999"
            :close-on-content-click="false"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                v-model="dateRangeText"
                dense
                readonly
                v-bind="attrs"
                v-on="on"
                class="bg-white border border-1 px-4 py-1"
                append-icon="mdi-calendar-blank"
              >
              </v-text-field>
            </template>
            <v-date-picker
              v-model="dateArr"
              style="position: relative; z-index: 999"
              range
            >
              <v-spacer></v-spacer>
              <v-btn
                class="text-none"
                text
                color="primary"
                @click="dateEndPicker = false"
              >
                Cancel
              </v-btn>
              <v-btn
                class="text-none"
                text
                color="primary"
                @click="onGetListStatsDomainFilter()"
              >
                Filter
              </v-btn>
            </v-date-picker>
          </v-menu>
        </div>

        <button
          class="border-0 text-gray-900 hover:text-blue-500"
          @click="clearFilter()"
        >
          Clear Filter
        </button>
        <div class="flex justify-end items-center">
          <v-menu :close-on-content-click="false" offset-y>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                outlined
                class="!text-black text-none text-sm font-medium elevation-0 focus:bg-[#C3DDFD] focus:border-[#3F83F8] focus:!text-[#3F83F8]"
                v-bind="attrs"
                v-on="on"
              >
                Fields Show
              </v-btn>
            </template>
            <div
              id="hideBottomInput"
              class="bg-white py-3 rounded-md label-menu"
            >
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.showAll"
                @click="onClickCheckbox('showAll')"
                label="Show All"
              ></v-checkbox>
              <v-divider class="mt-1"></v-divider>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.domain"
                @click="onClickCheckbox()"
                label="Domain"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.purchaseView"
                @click="onClickCheckbox()"
                label="Purchase / View Content"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.viewContent"
                @click="onClickCheckbox()"
                label="View Content"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.addToCart"
                @click="onClickCheckbox()"
                label="Add To Cart"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.initiate"
                @click="onClickCheckbox()"
                label="Add Payment Info"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.goCheckout"
                @click="onClickCheckbox()"
                label="Initiate Checkout"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.purchase"
                @click="onClickCheckbox()"
                label="Purchase"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.revenue"
                @click="onClickCheckbox()"
                label="Revenue"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.cost"
                @click="onClickCheckbox()"
                label="Cost"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.profit"
                @click="onClickCheckbox()"
                label="Profit"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.aov"
                @click="onClickCheckbox()"
                label="AOV"
              ></v-checkbox>
              <v-checkbox
                class="mt-0 px-3"
                v-model="checkbox.pcRe"
                @click="onClickCheckbox()"
                label="PC/RE"
              ></v-checkbox>
            </div>
          </v-menu>
        </div>
      </div>
      <div class="flex flex-wrap gap-2 items-center">
        <button
          class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
          :class="timeActive === 'Today' ? 'text-white bg-blue-common' : 'text-black-common bg-gray-200'"
          @click="onFilterByTime('Today')"
          :disabled="disabledButtonDate == true"
        >
          Today
        </button>
        <button
          class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
          :class="timeActive === 'Yesterday' ? 'text-white bg-blue-common' : 'text-black-common bg-gray-200'"
          @click="onFilterByTime('Yesterday')"
          :disabled="disabledButtonDate == true"
        >
          Yesterday
        </button>
        <button
          class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
          :class="timeActive === 'This week' ? 'text-white bg-blue-common' : 'text-black-common bg-gray-200'"
          @click="onFilterByTime('This week')"
          :disabled="disabledButtonDate == true"
        >
          This week
        </button>
        <button
          class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
          :class="timeActive === 'This month' ? 'text-white bg-blue-common' : 'text-black-common bg-gray-200'"
          @click="onFilterByTime('This month')"
          :disabled="disabledButtonDate == true"
        >
          This month
        </button>
        <button
          class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
          :class="timeActive === 'Last month' ? 'text-white bg-blue-common' : 'text-black-common bg-gray-200'"
          @click="onFilterByTime('Last month')"
          :disabled="disabledButtonDate == true"
        >
          Last month
        </button>
        <button
          class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
          :class="timeActive === 'This year' ? 'text-white bg-blue-common' : 'text-black-common bg-gray-200'"
          @click="onFilterByTime('This year')"
          :disabled="disabledButtonDate == true"
        >
          This year
        </button>
        <v-btn
          height="34px"
          color="#e5e7eb"
          id="buttonHover"
          @click="onRefresh()"
          class="elevation-0"
        >
          <div>
            <v-icon> mdi-reload </v-icon>
          </div>
        </v-btn>
      </div>
    </div>
  </div>
  <div class="rounded-xl p-4 bg-white" v-if="isShowNoCheckbox">
    <p class="mb-0 text-center">Please choose field</p>
  </div>
  <div class="rounded-xl pb-4" v-else>
    <v-skeleton-loader
      v-if="loadingTable"
      width="100%"
      type="card"
      class="mx-auto mt-10"
      height="200px"
    >
    </v-skeleton-loader>
    <v-simple-table
      v-else
      class="scrollTable c-pointer rounded-xl overflow-hidden border-2 border-gray-border-common"
      fixed-header
    >
      <template v-slot:default>
        <template v-if="listData && listData.length">
          <thead>
            <tr>
              <th
                class="px-4 !bg-[#F3F4F6]"
                style="width: 22%"
                v-if="checkbox.domain"
              >
                <div class="flex items-center gap-2" style="width: 275px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Domain
                  </p>
                </div>
              </th>
              <th class="px-2 !bg-[#F3F4F6]" v-if="checkbox.purchaseView">
                <div class="flex items-center gap-2" style="width: 200px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Purchase / ViewContent
                  </p>
                  <button
                    v-if="sortConversionRate"
                    @click="onSortTableHightToLow('conversionRate')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('conversionRate')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th
                class="text-left px-2 !bg-[#F3F4F6]"
                v-if="checkbox.viewContent"
              >
                <div class="flex items-center gap-2" style="width: 130px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    View Content
                  </p>
                  <button
                    v-if="sortViewContent"
                    @click="onSortTableHightToLow('viewContent')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('viewContent')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th
                class="text-left px-2 !bg-[#F3F4F6]"
                v-if="checkbox.addToCart"
              >
                <div class="flex items-center gap-2" style="width: 130px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Add To Cart
                  </p>
                  <button
                    v-if="sortAddToCart"
                    @click="onSortTableHightToLow('addToCart')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('addToCart')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>

              <th
                class="text-left px-2 !bg-[#F3F4F6]"
                v-if="checkbox.goCheckout"
              >
                <div class="flex items-center gap-2" style="width: 130px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Initiate Checkout
                  </p>
                  <button
                    v-if="sortGoCheckout"
                    @click="onSortTableHightToLow('goCheckout')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('goCheckout')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.initiate">
                <div class="flex items-center gap-2" style="width: 145px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Add Payment Info
                  </p>
                  <button
                    v-if="sortInitiateCheckout"
                    @click="onSortTableHightToLow('initiateCheckout')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('initiateCheckout')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.purchase">
                <div class="flex items-center gap-2" style="width: 90px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Purchase
                  </p>
                  <button
                    v-if="sortPurchase"
                    @click="onSortTableHightToLow('purchase')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('purchase')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.revenue">
                <div class="flex items-center gap-2" style="width: 90px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Revenue
                  </p>
                  <button
                    v-if="sortRevenue"
                    @click="onSortTableHightToLow('revenue')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('revenue')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.cost">
                <div class="flex items-center gap-2" style="width: 90px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Cost
                  </p>
                  <button
                    v-if="sortProductCost"
                    @click="onSortTableHightToLow('productCost')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('productCost')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.profit">
                <div class="flex items-center gap-2" style="width: 90px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    Profit
                  </p>
                  <button
                    v-if="sortProfit"
                    @click="onSortTableHightToLow('profit')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('profit')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.aov">
                <div class="flex items-center gap-2" style="width: 90px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">AOV</p>
                  <button
                    v-if="sortAov"
                    @click="onSortTableHightToLow('aov')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('aov')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
              <th class="text-left px-2 !bg-[#F3F4F6]" v-if="checkbox.pcRe">
                <div class="flex items-center gap-2" style="width: 90px">
                  <p class="mb-0 text-xs text-capitalize text-[#737373]">
                    PC/RE
                  </p>
                  <button
                    v-if="sortPcre"
                    @click="onSortTableHightToLow('pc/re')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                      />
                    </svg>
                  </button>
                  <button
                    v-else
                    @click="onSortTableLowToHigh('pc/re')"
                    class="text-[#737373]"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke-width="1.5"
                      stroke="currentColor"
                      class="w-5 h-5"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                      />
                    </svg>
                  </button>
                </div>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr
              v-for="(elem,i) in listData"
              :key="'domain' + i"
              :class="i === listData.length - 1 ? 'bg-[#F3F4F6]' : ''"
            >
              <td class="py-2 px-4" v-if="checkbox.domain">
                <template v-if="i === listData.length - 1">
                  <span class="text-gray-900 font-semibold">Total</span>
                </template>
                <template v-else>{{elem.domain && elem.domain}}</template>
              </td>
              <td class="px-2 py-2" v-if="checkbox.purchaseView">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                    :class="tab === 0 ? 'ml-2' : ''"
                  >
                    {{elem.conversionRate &&
                    $utils.formatCurrency(Math.round(elem.conversionRate * 100)
                    / 100) || 0}}%
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.viewContent">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    {{elem.viewContent &&
                    $utils.formatCurrency(Math.round(elem.viewContent * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.addToCart">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    {{elem.addToCart &&
                    $utils.formatCurrency(Math.round(elem.addToCart * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.goCheckout">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    {{elem.goCheckout &&
                    $utils.formatCurrency(Math.round(elem.goCheckout * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.initiate">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    {{elem.initiateCheckout &&
                    $utils.formatCurrency(Math.round(elem.initiateCheckout *
                    100) / 100)}}
                  </p>
                </div>
              </td>

              <td class="px-2 py-2" v-if="checkbox.purchase">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    {{elem.purchase &&
                    $utils.formatCurrency(Math.round(elem.purchase * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.revenue">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    ${{elem.revenue &&
                    $utils.formatCurrency(Math.round(elem.revenue * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.cost">
                <div class="d-flex align-center">
                  <p
                    class="mb-0 text-xs text-uppercase black--text font-weight-light"
                  >
                    ${{elem.productCost &&
                    $utils.formatCurrency(Math.round(elem.productCost * 100) /
                    100)}}
                  </p>
                </div>
              </td>
              <td class="px-2 py-2" v-if="checkbox.profit">
                <p class="mb-0 text-xs font-weight-light">
                  ${{elem.profit &&
                  $utils.formatCurrency(Math.round((elem.profit ) * 100) /
                  100)}}
                </p>
              </td>
              <td class="px-2 py-2" v-if="checkbox.aov">
                <p class="mb-0 text-xs font-weight-light">
                  ${{elem.aov && $utils.formatCurrency(Math.round(elem.aov *
                  100) / 100)}}
                </p>
              </td>
              <td class="px-2 py-2" v-if="checkbox.pcRe">
                <div>
                  <p v-if="elem.pcRe" class="mb-0 text-xs font-weight-light">
                    {{Math.round(elem.pcRe * 100)}}%
                  </p>
                  <p v-else class="mb-0 text-xs font-weight-light">
                    {{Math.round(elem["pc/re"]*100) || 0}}%
                  </p>
                </div>
              </td>
            </tr>
          </tbody>
        </template>
        <template v-else>
          <EmptyData />
        </template>
      </template>
    </v-simple-table>
  </div>
</div>
